summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKieran Bingham <kieran.bingham@ideasonboard.com>2021-12-06 16:40:07 +0000
committerKieran Bingham <kieran.bingham@ideasonboard.com>2023-11-20 13:21:20 +0000
commit0ce5447c2f671fdba2f43536b4aa225780e93d11 (patch)
tree3cb6771a4d80e1083103ecbf68a629eb1117c312
parent43e6a6afb4845f1887535d25ad1b036907ae3e0b (diff)
integrations: Make sure build-matrix fully completes
We can't continue on a partial build Signed-off-by: Kieran Bingham <kieran.bingham@ideasonboard.com>
-rwxr-xr-xcommon.sh22
-rwxr-xr-xintegration-tests.sh2
2 files changed, 24 insertions, 0 deletions
diff --git a/common.sh b/common.sh
index 30a2a02..63cb36a 100755
--- a/common.sh
+++ b/common.sh
@@ -63,6 +63,28 @@ check_version() {
fi
}
+# Check to see that the stamp file was successfully updated
+validate_version() {
+ project="$1"
+ ID="$2"
+
+ VERSION=$(libcamera_version "$project")
+ last_build=$(buildstamp_filename $ID)
+ export VERSION
+ export last_build
+
+ ## Only rebuild on version change
+ touch "$last_build"
+
+ PREV_VERSION=$(cat "$last_build")
+
+ if [[ x"$PREV_VERSION" != x"$VERSION" ]] ; then
+ echo "$ID: Stamp file not set successfully"
+ exit 1
+ fi
+
+}
+
failure_report() {
echo "Subject: $0: $1 has failed"
echo ""
diff --git a/integration-tests.sh b/integration-tests.sh
index 90cc59c..033d1cb 100755
--- a/integration-tests.sh
+++ b/integration-tests.sh
@@ -18,6 +18,8 @@ echo "Validate checkstyle on the branch"
echo "Building the matrix..."
./10-build-matrix.sh
+validate_version $(srcdir libcamera) build-matrix
+pass_fail $? "Completed the matrix"
echo "Building for unit tests..."
./50-build-unit-tests.sh